var dpsTimeoutForBatchGallerySet = false;
jQuery(document).ready(function(){
	// Move all book properties - to tabs
	var formTableData = jQuery('#edittag').find('.form-table:first');
	if(formTableData && formTableData.size()) {
		jQuery('#dpsAdminBookProperties').append( formTableData );
	}
	jQuery('#edittag').find('[data-original-name]').change(function(){
		var changedPrams = {}
		,	name = jQuery(this).attr('data-original-name')
		,	value = '';
		if(jQuery(this).attr('type') == 'checkbox') {
			value = jQuery(this).attr('checked') ? 1 : 0;
		} else {
			value = jQuery(this).val();
		}
		changedPrams[ name ] = value;
		dpsLivePreviewParams.update( changedPrams );
	});
	jQuery('.dpsTabsShell').wpTabs({
		change: function(selector) {
			// Show update and preview buttons - only for those tabs
			if(toeInArray(selector, ['#dpsAdminBookProperties', '#dpsAdminBookPages', '#dpsAdminBookTableOfContents']) !== -1) {
				jQuery('#edittag').find('p.submit').show();
			} else {
				jQuery('#edittag').find('p.submit').hide();
			}
		}
	});
	jQuery('#dpsAdminBookAddBatchFromImagesTbl').sortable({
		update: function(event, ui) {
			dpsSetPagesSortOrderVal({
				htmlShell: '#dpsAdminBookAddBatchFromImagesTbl'
			});
		}
	});
	jQuery('#dpsAdminBookAddBatchFromImagesTbl').disableSelection();
	jQuery('#dpsAdminBookAddBatchFromServerDirTbl').sortable({
		update: function(event, ui) {
			dpsSetPagesSortOrderVal({
				htmlShell: '#dpsAdminBookAddBatchFromServerDirTbl'
			});
		}
	});
	jQuery('#dpsAdminBookAddBatchFromServerDirTbl').disableSelection();
	jQuery('#dpsAdminBookPagesShell').sortable({
		update: function(event, ui) {
			dpsSetPagesSortOrderVal({
				htmlShell: '#dpsAdminBookPagesShell'
			,	addSortOrder: true
			});
		}
	});
	jQuery('#dpsAdminBookPagesShell').disableSelection();
	jQuery('.dpsAdminCreateBatchPagesFromImagesBtn').click(function(){
		dpsSaveBatchData({
			inputShell: jQuery('#dpsAdminBookAddBatchFromImagesTbl').find('li:not(.dpsRowExample)')
		,	msgElID: jQuery('.dpsAdminCreateBatchPagesFromImagesMsg')
		,	bookId: jQuery(this).data('bookid')
		});
		return false;
	});
	jQuery('#dpsAdminAddPagesParseFolderBtn').click(function(){
		var folder = jQuery('[name="add_batch_serv_path"]').val();
		jQuery.sendFormDps({
			msgElID: 'dpsAdminAddPagesParseFolderMsg'
		,	data: {mod: 'book', action: 'parseFolderForImages', folder: folder, reqType: 'ajax'}
		,	onSuccess: function(res) {
				if(!res.error) {
					for(var i in res.data.filesList) {
						dpsBookParsedBatchImgToList({
							addToHtml: '#dpsAdminBookAddBatchFromServerDirTbl'
						,	imgUrl: res.data.filesList[i].path
						,	title: res.data.filesList[i].title
						});
					}
					jQuery('.dpsBookAddPagesSubmitShell').show();
					dpsSortBatch('#dpsAdminBookAddBatchFromServerDirTbl', 'title', 'DESC');
				}
			}
		});
		return false;
	});
	jQuery('.dpsAdminCreateBatchPagesFromServerDirBtn').click(function(){
		dpsSaveBatchData({
			inputShell: jQuery('#dpsAdminBookAddBatchFromServerDirTbl').find('li:not(.dpsRowExample)')
		,	msgElID: jQuery('.dpsAdminCreateBatchPagesFromServerDirMsg')
		,	bookId: jQuery(this).data('bookid')
		});
		return false;
	});
	jQuery('#dpsSelectAllPagesCheck').change(function(){
		dpsSelectAllCheck( jQuery(this).attr('checked') );
	});
	jQuery('#dpsSelectAllPagesCheck').removeAttr('checked').iCheck('update');
	jQuery('.dpsRemovePageCheck').change(function(){
		dpsRemovePageCheck();
	});
	jQuery('.dpsRemovePagesBtn').click(function(){
		var removeIds = [];
		jQuery('.dpsRemovePageCheck:checked').each(function(){
			removeIds.push( jQuery(this).parents('.dpsTemplatePrevShell').data('id') );
		});
		dpsRemovePage( removeIds );
		return false;
	});
	jQuery('#dpsAdminBookPages').on('click', '.dpsAdminBookRemovePageBtn', function(){
		dpsRemovePage(jQuery(this).parents('.dpsTemplatePrevShell').data('id'));
		return false;
	});
	jQuery('#edittag').find('[name=_wp_original_http_referer]').val(dpsGetBookEditLink(jQuery('#edittag').find('[name=tag_ID]').val()));

	//Options which need to be checked after page load, because of use iCheck plugin for checkboxes, radiobuttons customize
	var bookStringParams = [
		'area_width_units', 'bg_type', 'page_bg_type', 'bg_img_pos', 'page_bg_img_pos',
		'cover_type', 'transition_direction', 'toolbar_preset', 'toolbar_bg_color',
		'toolbar_btns_color', 'toolbar_btns_active_color',
	];
	for(var i in bookStringParams) {
		if(dpsBook && dpsBook.params && dpsBook.params[bookStringParams[i]]) {
			jQuery('#edittag input:radio[name="dps['+ bookStringParams[i] +']"][value="'+ dpsBook.params[bookStringParams[i]] +'"]').attr('checked', 'checked');
			dpsCheckUpdateArea('#dpsAdminBookProperties');

			switch(bookStringParams[i]) {
				case 'bg_type':
					dpsAreaBgTypeOptionsVisible(dpsBook.params[bookStringParams[i]]);
					break;
				case 'page_bg_type':
					dpsPublicationBgTypeOptionsVisible(dpsBook.params[bookStringParams[i]]);
					break;
				case 'toolbar_preset':
					dpsSwitchPresetClass(dpsBook.params[bookStringParams[i]]);
					break;
				case 'toolbar_bg_color':
					if(!dpsBook.params['toolbar_bg_opacity'])
						dpsBook.params['toolbar_bg_opacity'] = '0';
					var tbColor = getRGBAColors(dpsBook.params[bookStringParams[i]], dpsBook.params['toolbar_bg_opacity']);
					dpsToolbarBgColor(tbColor, dpsBook.params['toolbar_preset']);
					break;
				case 'toolbar_btns_color':
					dpsToolbarBtnsColor(dpsBook.params[bookStringParams[i]], dpsBook.params['toolbar_preset']);
					break;
				case 'toolbar_btns_active_color':
					dpsToolbarBtnsActiveColor(dpsBook.params[bookStringParams[i]]);
					break;
			}
		}
	}
	var bookIntParams = [
		'en_audio_paging', 'en_page_shadow', 'en_fake_pages', 'en_gradients', 'indent_text_only', /*'en_pages_dynamic_preload',*/
		'en_fw_bw_btns', 'en_page_nmb_field', 'en_print_export_btn', 'en_search_btn', 'en_fullscreen_btn', 'en_zoom_btn',
		'en_toolbar_shadow', 'en_toolbar_tootips', 'en_fullscreen_onclick', 'dis_fullscreen_onclick'
	];
	for(var j in bookIntParams) {
		if(dpsBook && dpsBook.params) {
			var paramValue = !isNaN(parseInt(dpsBook.params[bookIntParams[j]])) ? dpsBook.params[bookIntParams[j]] : '';

			jQuery('#edittag input:radio[name="dps['+ bookIntParams[j] +']"][value="'+ paramValue +'"]').attr('checked', 'checked');
			dpsCheckUpdateArea('#dpsAdminBookProperties');

			switch(bookIntParams[j]) {
				case 'en_audio_paging':
					var audioParamName = bookIntParams[j].substring(3, bookIntParams[j].length);
					dpsChangeSoundBtnVisible(jQuery('#term_dps_'+ audioParamName +'_shell').find('input:radio:checked').val());
					break;
				case 'en_fw_bw_btns': case 'en_page_nmb_field': case 'en_print_export_btn': case 'en_search_btn': case 'en_fullscreen_btn': case 'en_zoom_btn':
					dpsChangeToolbarElementsVisible('#term_dps_'+ bookIntParams[j] +'_input_shell');
					break;
				case 'en_toolbar_shadow':
					dpsChangeToolbarShadowVisible(jQuery('#term_dps_'+ bookIntParams[j] +'_shell').find('input:radio:checked').val());
					break;
				case 'en_toolbar_tootips':
					dpsChangeTooltipsOptionsVisible(jQuery('#term_dps_'+ bookIntParams[j] +'_shell').find('input:radio:checked').val());
					break;
			}
		}
	}
});
function wpColorPicker_dpsbg_color_change(event, ui) {
	dpsLivePreviewParams.update({
		bg_color: encodeURI(ui.color.toString())
	});
}
function wpColorPicker_dpstoolbar_bg_color_change(event, ui) {
	setTimeout(function(){
		var tbColor = getRGBAColors(jQuery('#edittag input[name="dps[toolbar_bg_color]"]').val(), jQuery('#edittag input[name="dps[toolbar_bg_opacity]"]').val());
		dpsToolbarBgColor(tbColor);
	}, 500);
}
function wpColorPicker_dpstoolbar_btns_color_change(event, ui) {
	setTimeout(function(){
		dpsToolbarBtnsColor(jQuery('#edittag input[name="dps[toolbar_btns_color]"]').val(), jQuery('#edittag input[name="dps[toolbar_preset]"]:checked').val());
	}, 500);
}
function wpColorPicker_dpstoolbar_btns_active_color_change(event, ui) {
	setTimeout(function(){
		jQuery('#toolbarShell style').remove();
		dpsToolbarBtnsActiveColor(jQuery('#edittag input[name="dps[toolbar_btns_active_color]"]').val());
	}, 500);
}
function dpsClearBatch(shellSelector) {
	jQuery(shellSelector).find('li:not(.dpsRowExample)').each(function(){
		jQuery(this).find('.dpsTemplatePrevActionShell .dashicons-trash').click();
	});
}
/**
 * Sort batch results
 * @param {string|object} shellSelector List shell selector or html element
 * @param {string} sortBy Sort by argument, currently supported - "title"
 * @param {string} forceDir If is set - we will take sort direction from it
 */
function dpsSortBatch(shellSelector, sortBy, forceDir) {
	var shell = jQuery(shellSelector)
	,	cells = shell.find('li:not(.dpsRowExample)');

	if(cells.size()) {
		var btn = shell.parents('.dpsTabContent').find('.dpsSortBatchBtn')
		,	dirElement = jQuery(btn).find('.dpsBatchSortDirIcon')
		,	sortDir = jQuery(dirElement).hasClass('dashicons-arrow-down') ? 'ASC' : 'DESC';
		if(forceDir)
			sortDir = forceDir;
		cells.sort(function (a, b) {
			switch(sortBy) {
				case 'title':
					var valA = jQuery(a).find('[name="batch_pages[titles][]"]').val()
					,	valB = jQuery(b).find('[name="batch_pages[titles][]"]').val();

					if(!isNaN(parseInt(valA)) && !isNaN(parseInt(valB))) {
						valA = parseInt(valA);
						valB = parseInt(valB);
					} else {
						valA.toUpperCase();
						valB.toUpperCase();
					}
					if((sortDir == 'DESC' && valA > valB) || (sortDir == 'ASC' && valA < valB)) {
						return 1;
					} else if((sortDir == 'DESC' && valA < valB) || (sortDir == 'ASC' && valA > valB)) {
						return -1;
					} else {
						return 0;
					}
					break;
			}
		});
		sortDir == 'DESC' 
			? jQuery(dirElement).removeClass('dashicons-arrow-up').addClass('dashicons-arrow-down') 
			: jQuery(dirElement).removeClass('dashicons-arrow-down').addClass('dashicons-arrow-up');
		shell.append(cells);
		dpsSetPagesSortOrderVal({
			htmlShell: shellSelector
		});
	}
}
function naturalCompare(a, b) {
	var ax = [], bx = [];

	a.replace(/(\d+)|(\D+)/g, function(_, $1, $2) { ax.push([$1 || Infinity, $2 || ""]) });
	b.replace(/(\d+)|(\D+)/g, function(_, $1, $2) { bx.push([$1 || Infinity, $2 || ""]) });

	while(ax.length && bx.length) {
		var an = ax.shift();
		var bn = bx.shift();
		var nn = (an[0] - bn[0]) || an[1].localeCompare(bn[1]);
		if(nn) return nn;
	}

	return ax.length - bx.length;
}
// Rebuild and re-positionate page elements after page load and 2seconds
// as it just didn't work in other way
jQuery(window).bind('load', function(){
	dpsSetPagesSortOrderVal({
		htmlShell: '#dpsAdminBookPagesShell'
	,	addSortOrder: true
	});
	setTimeout(function(){
		// Disable zooming for now
		jQuery('.dpsTemplatePrevContent').each(function(){
			//jQuery(this).zoom(0.5);
		});
		
	}, 3000);
});
function dpsSetPagesSortOrderVal(params) {
	params = params || {};
	var sortOrderArr = []
	,	i = 1
	,	htmlShell = params.htmlShell 
		? typeof(params.htmlShell) === 'string' 
			? jQuery(params.htmlShell) 
			: params.htmlShell
		: jQuery('#dpsAdminBookPagesShell')
	,	pagesHtml = htmlShell.find('li.dpsTemplatePrevShell:not(.dpsRowExample)')
	,	pagesNum = pagesHtml.size();
	pagesHtml.each(function(){
		jQuery(this).removeClass('even').removeClass('odd').removeClass('first').removeClass('last').removeClass('dpsClearLeft');
		if(i === 1)
			jQuery(this).addClass('first');
		if(i === pagesNum)
			jQuery(this).addClass('last');
		var pos = i % 2 === 0
			? 'even'
			: 'odd';
		jQuery(this).addClass( pos );
		jQuery(this).find('.dpsTemplatePrevPageNum').html( i );
		if(params.addSortOrder)
			sortOrderArr.push(jQuery(this).data('id')+ ':'+ i);
		i++;
	});
	pagesHtml.each(function(){
		// If this element - is first of 2 in set, and next element - is already in net row - move this element to next row too
		if(jQuery(this).hasClass('even')) {
			var pos = jQuery(this).position()
			,	nextPos = jQuery(this).next().position();
			if(nextPos && nextPos.top != pos.top) {
				jQuery(this).addClass('dpsClearLeft');
			}
		}
	});
	if(params.addSortOrder)
		jQuery('input[name="dps[pages_sort_order]"]').val(sortOrderArr.join(','));
}
function dpsAddImgForBatchPage(url, attach) {
	if(url && attach) {
		dpsBookParsedBatchImgToList({
			addToHtml: '#dpsAdminBookAddBatchFromImagesTbl'
		,	imgUrl: url
		,	title: attach.title
		,	attachId: attach.id
		});
		if(!dpsTimeoutForBatchGallerySet) {
			setTimeout(function(){
				dpsTimeoutForBatchGallerySet = false;
				dpsSortBatch('#dpsAdminBookAddBatchFromImagesTbl', 'title', 'DESC');
			}, 300);
			dpsTimeoutForBatchGallerySet = true;
			jQuery('#dpsAdminBookAddBatchFromImagesTbl').parents('.dpsTabContent').find('.dpsBookAddPagesSubmitShell').show();
		}
	}
}
function dpsAdminRemoveAddRow(link) {
	if(jQuery(link).parents('ul:first').find('li:not(.dpsRowExample)').size() == 1) {	// Current row - is last one
		jQuery(link).parents('.dpsTabContent').find('.dpsBookAddPagesSubmitShell').hide();
	}
	// We should set this here, as we can't get parent ul after cell will be removed
	var shellContent = jQuery(link).parents('ul:first');
	jQuery(link).parents('li:first').animateRemoveDps(300, function(){
		dpsSetPagesSortOrderVal({
			htmlShell: shellContent
		});
	});
}
function dpsSaveBatchData(params) {
	var saveDataShell = typeof(params.inputShell) == 'string' ? jQuery('#'+ params.inputShell) : params.inputShell
	,	saveData = saveDataShell.serializeAnythingDps({
			mod: 'book'
		,	action: 'addPagesFromImages'
		,	reqType: 'ajax'
		,	id: params.bookId
		,	bookParams: jQuery('#edittag').serializeAssoc()
	});
	jQuery.sendFormDps({
		msgElID: params.msgElID
	,	data: saveData
	,	onSuccess: function(res) {
			if(!res.error) {
				if(!params.ignoreReload) {
					adminFormSavedDps('edittag');
					// Reload page on pages list tab
					dpsReloadToBookTab('dpsAdminBookPages');
				}
			}
			if(params.onSuccess && typeof(params.onSuccess) == 'function') {
				params.onSuccess(res);
			}
		}
	});
}
function dpsReloadToBookTab(tab) {
	var url = document.location.origin+ document.location.pathname+ document.location.search;
	if(tab)
		url += '#'+ tab;
	toeReload( url );
}
function dpsRemovePage(ids) {
	var manyPagesRemove = ((typeof(ids) == 'array' || typeof(ids) == 'object') && ids.length > 1)
	,	confirmMsg =  manyPagesRemove 
		? str_replace(toeLangDps('Are you sure want to remove %d pages?'), '%d', ids.length)
		: toeLangDps('Are you sure want to remove this page?')
	,	firstId = manyPagesRemove 
		? 0 
		: (typeof(ids) == 'array' || typeof(ids) == 'object')
			? ids[0]
			: ids;
	if(confirm(confirmMsg)) {
		var msg = '';
		if(firstId) {
			msg = jQuery('.dpsTemplatePrevShell[data-id="'+ firstId+ '"]').find('.dpsPagePrevMsg');
		} else
			msg = 'dpsRemovePagesMsg';
		jQuery.sendFormDps({
			msgElID: msg
		,	data: {mod: 'page', action: 'remove', id: ids, reqType: 'ajax'}
		,	onSuccess: function(res) {
				if(!res.error) {
					if(firstId) {
						jQuery('.dpsTemplatePrevShell[data-id="'+ firstId+ '"]').animateRemoveDps(300);
					} else {
						for(var i in ids) {
							jQuery('.dpsTemplatePrevShell[data-id="'+ ids[i]+ '"]').animateRemoveDps(300);
						}
					}
					setTimeout(function(){
						dpsSetPagesSortOrderVal();
					}, 300);
				}
			}
		});
	}
}
function dpsBookParsedBatchImgToList(params) {
	params = params || {};
	var addToHtml = typeof(params.addToHtml) === 'string' ? jQuery(params.addToHtml) : params.addToHtml
	,	newCell = addToHtml.find('.dpsRowExample:first').clone().removeClass('dpsRowExample');
	if(params.imgUrl) {
		newCell.find('.dpsTemplateImg').attr('src', params.imgUrl);
	}
	if(params.title) {
		newCell.find('[name="batch_pages[titles][]"]').val(params.title);
	}
	if(params.attachId) {
		newCell.find('[name="batch_pages[attach_id][]"]').val(params.attachId);
	} else if(params.imgUrl) {
		newCell.find('[name="batch_pages[img_url][]"]').val(params.imgUrl);
	}
	addToHtml.append(newCell);
}
function dpsSplitBtn(link) {
	dpsSplitPage({
		pageId: jQuery(link).parents('.dpsTemplatePrevShell').data('id')
	,	msgEl: jQuery(link).parents('.dpsTemplatePrevShell').find('.dpsPagePrevMsg')
	,	sortOrder: jQuery('input[name="dps[pages_sort_order]"]').val()
	});
}
function dpsMergeBtn(link) {
	var cell = jQuery(link).parents('.dpsTemplatePrevShell')
	,	mergeWithCell = null
	,	mergeWithNext = false;
	if(cell.hasClass('first')) {	// For first cell - just try take next one
		mergeWithCell = cell.next();
		mergeWithNext = true;
	} else if(cell.hasClass('last')) {	// For last - try take prev cell
		mergeWithCell = cell.prev();
	} else if(cell.hasClass('even')) {	// For even cell - take next
		mergeWithCell = cell.next();
		mergeWithNext = true;
	} else if(cell.hasClass('odd')) {	// For odd - take odd
		mergeWithCell = cell.prev();
	}
	if(mergeWithCell && mergeWithCell.size()) {
		if(mergeWithCell.hasClass('dpsPageImg')) {
			var mergeId = mergeWithCell.data('id')
			,	pageId = cell.data('id')
			,	pageIds = [];
			pageIds = mergeWithNext ? [pageId, mergeId] : [mergeId, pageId];
			dpsMergePages({
				pageIds: pageIds
			,	msgEl: cell.find('.dpsPagePrevMsg')
			,	sortOrder: jQuery('input[name="dps[pages_sort_order]"]').val()
			});
		} else
			alert(toeLangDps('You can merge only pages, that was created from images. Try to place page, created from image, near desireded page.'));
	} else
		alert('Can not find page for merging!');
}
function dpsSplitPage(params) {
	params = params || {};
	jQuery.sendFormDps({
		msgElID: params.msgEl
	,	data: {mod: 'page', action: 'split', id: params.pageId, sort_order: params.sortOrder, reqType: 'ajax'}
	,	onSuccess: function(res) {
			if(!res.error) {
				var cellHtml = jQuery('.dpsTemplatePrevShell-'+ params.pageId)
				,	anim = 300;
				for(var i in res.data.addedPages) {
					var newCell = dpsClonePageCell(cellHtml, params.pageId, res.data.addedPages[i], {hide: true});
					newCell.insertBefore( cellHtml );
					newCell.show(anim);
					dpsInitCustomCheckRadio( newCell );	// It should be here to init custom check only when dom will be inserted to page
				}
				cellHtml.animateRemoveDps(anim);
				setTimeout(function(){
					dpsSetPagesSortOrderVal({
						htmlShell: '#dpsAdminBookPagesShell'
					,	addSortOrder: true
					});
				}, anim);
			}
		}
	});
}
function dpsMergePages(params) {
	params = params || {};
	jQuery.sendFormDps({
		msgElID: params.msgEl
	,	data: {mod: 'page', action: 'merge', ids: params.pageIds, sort_order: params.sortOrder, reqType: 'ajax'}
	,	onSuccess: function(res) {
			if(!res.error) {
				var firstPageId = params.pageIds[0]
				,	firstCellHtml = jQuery('.dpsTemplatePrevShell-'+ firstPageId)
				,	newCell = dpsClonePageCell(firstCellHtml, firstPageId, res.data.addedPage, {hide: true})
				,	anim = 300;
				newCell.insertBefore( firstCellHtml );
				// Remove old cells
				for(var i in params.pageIds) {
					jQuery('.dpsTemplatePrevShell-'+ params.pageIds[i]).animateRemoveDps(anim);
				}
				newCell.show(anim);
				dpsInitCustomCheckRadio( newCell );	// It should be here to init custom check only when dom will be inserted to page
				setTimeout(function(){
					dpsSetPagesSortOrderVal({
						htmlShell: '#dpsAdminBookPagesShell'
					,	addSortOrder: true
					});
				}, anim);
			}
		}
	});
}
function dpsClonePageCell(original, originalId, newPage, params) {
	params = params || {};
	dpsCheckDestroyArea(original);
	var newCell = original.clone();
	dpsInitCustomCheckRadio(original);
	newCell
		.removeClass('dpsTemplatePrevShell-'+ originalId)
		.addClass('dpsTemplatePrevShell-'+ newPage.ID)
		.attr('data-id', newPage.ID);
	newCell.find('.dpsTemplatePageTitle').html(newPage.post_title);
	newCell.find('.dpsTemplatePrevContent').html(newPage.post_content);
	newCell.find('.dashicons-edit').attr('href', newPage.edit_link);
	newCell.find('.dpsPagePrevMsg').html('');
	if(params.hide)
		newCell.hide;
	//dpsInitCustomCheckRadio(newCell);	// It should not be here - as it call problems in Chrome browser
	newCell.find('.dpsRemovePageCheck').change(function(){
		dpsRemovePageCheck();
	});
	return newCell;
}
function dpsSelectAllCheck(value) {
	var cells = jQuery('#dpsAdminBookPagesShell').find('li:not(.dpsRowExample)');
	if(cells.size()) {
		cells.each(function(){
			var checkbox = jQuery(this).find('.dpsRemovePageCheck');
			value ? checkbox.attr('checked', 'checked').iCheck('update') : checkbox.removeAttr('checked').iCheck('update');
		});
		value ? jQuery('.dpsRemovePagesBtn').show() : jQuery('.dpsRemovePagesBtn').hide();
	}
}
function dpsRemovePageCheck() {
	var totalChecked = jQuery('.dpsRemovePageCheck:checked').size();
	if(totalChecked) {
		jQuery('.dpsRemovePagesBtn').show();
		if(totalChecked == jQuery('.dpsRemovePageCheck').size()) {
			jQuery('#dpsSelectAllPagesCheck').prop('indeterminate', false).iCheck('determinate');
			jQuery('#dpsSelectAllPagesCheck').attr('checked', 'checked').iCheck('update');
		} else {
			jQuery('#dpsSelectAllPagesCheck').prop('indeterminate', true).iCheck('indeterminate');
			jQuery('#dpsSelectAllPagesCheck').removeAttr('checked').iCheck('update');
		}
	} else {
		jQuery('.dpsRemovePagesBtn').hide();
		jQuery('#dpsSelectAllPagesCheck').prop('indeterminate', false).iCheck('determinate');
		jQuery('#dpsSelectAllPagesCheck').removeAttr('checked').iCheck('update');
	}
	return false;
}