var dpsBookMng = new dpsBookManager()
,	dpsWindowWidth = null;
jQuery(document).ready(function() {
	var script = Modernizr.csstransforms
		? bookCoreFolderPath+ 'book-core.min.js'
		: bookCoreFolderPath+ 'book-core.html4.min.js';
	jQuery.getScript(script)
		.done(function(){
			if(typeof(dpsAllBooks) != 'undefined' && dpsAllBooks) {
				dpsWindowWidth = jQuery(window).width();
				for(var i = 0; i < dpsAllBooks.length; i++) {
					if(jQuery('#book_'+ dpsAllBooks[i].term_id).size()) {
						dpsInitBookOnPage(dpsAllBooks[i]);
						dpsBindBookActions(dpsAllBooks[i].term_id);
					}
				}
			}
		}).fail(function(){
			console.log('Script do not load!');
		});
});
function dpsInitBookOnPage(bookData) {
	dpsBookMng.create(bookData);

	var book = dpsBookMng.getById(bookData.term_id);

	if(book) {
		book.adjustWidth( dpsWindowWidth );
		book.maximizeBook();
		if(book.getShell().width() <= bookData.params.width) {
			book._removeFakePages();
			book.setParam('en_fake_pages', 0);
		}
		if(book.getParam('dis_fullscreen_onclick')) {
			jQuery(document).on('click', '#book_shell_' + bookData.term_id, function(e) {
				var targetElement = e.target
				,	$elem = jQuery(targetElement)
				,	book = dpsGetBookObjById($elem.parents('.dpsBookWrapper:first').find('.dpsBook:first').data('bookid'));

				if(book && book._fullscreenEnabled) {
					do {
						if($elem.hasClass('page-wrapper')) {
							// It was click inside book page
							//console.log("Click on page!");
							break;
						}
						if($elem.hasClass('dpsBookShell')) {
							// It was click outside book page but inside book area
							book._fullscreenOff();
							book._fullscreenEnabled = false;
							//console.log("Click on book area!");
							break;
						}
						// Go up the DOM
						targetElement = targetElement.parentNode;
						$elem = jQuery(targetElement);
					} while (targetElement);
				}
			});
		}
		jQuery('#book_stage_' + bookData.term_id + ' .dpsTbPageNumTxt').show();
	}
}
function dpsBindBookActions(id) {
	var bookId = '#book_stage_' + id;


	jQuery(document).on('click', bookId + ' .dpsTbBtnFirst', function(){
		var book = dpsGetBookObjById(dpsGetBookIdFromTdEl(this));
		book.turnFirst();
		return false;
	});
	jQuery(document).on('click', bookId + ' .dpsTbBtnLast', function(){
		var book = dpsGetBookObjById(dpsGetBookIdFromTdEl(this));
		book.turnLast();
		return false;
	});
	jQuery(document).on('click', bookId + ' .dpsTbBtnPrev', function(){
		var book = dpsGetBookObjById(dpsGetBookIdFromTdEl(this));

		book.turnPrev();
		return false;
	});
	jQuery(document).on('click', bookId + ' .dpsTbBtnNext', function(){
		var book = dpsGetBookObjById(dpsGetBookIdFromTdEl(this));

		book.turnNext();
		return false;
	});
	jQuery(document).on('submit', bookId + ' .dpsTdPageNumForm', function(){
		var newPage = jQuery(this).find('.dpsTbPageNumTxt').val()
		,	goToPageNum = 0
		,	movedToPage = false;

		if(strpos(newPage, '-')) {
			var pagesArr = newPage.split('-');

			goToPageNum = parseInt(pagesArr[0]);
		} else {
			goToPageNum = parseInt(newPage);
		}
		if(goToPageNum) {
			var book = dpsGetBookObjById(dpsGetBookIdFromTdEl(this))
			,	bookPagesCount = book.getPagesCount();

			if(goToPageNum <= bookPagesCount) {
				book.getHtml().turn('page', goToPageNum);
				movedToPage = true;
				book._checkMaximizeBookRestore();
			}
		}
		if(!movedToPage) {
			alert(toeLangDps('Please enter valid page number'));
		}

		return false;
	});
	jQuery(document).on('click', bookId + ' .dpsTbBtnZoom', function(){
		var book = dpsGetBookObjById(dpsGetBookIdFromTdEl(this));

		book.zoomIn();
		return false;
	});
	jQuery(document).on('click', bookId + ' .dpsTbBtnZoomOut', function(e){
		var book = dpsGetBookObjById(dpsGetBookIdFromTdEl(this));

		book.zoomOut();
		return false;
	});
	jQuery(document).on('click', bookId + ' .dpsTbBtnFullscreen', function(){
		var book = dpsGetBookObjById(dpsGetBookIdFromTdEl(this));
      if (jQuery('body').hasClass('outreach-pro-purple')) {
         setTimeout(function () {
            var dpsBook = jQuery(document).find('.dpsBookStageShell');
            if (dpsBook.css('position') == 'fixed') {
               jQuery('.site-header').hide();
            } else {
               jQuery('.site-header').show();
            }
         }, 100);
      }
		book.fullscreenToggle();
		return false;
	});
	jQuery(document).on('click', bookId + ' .page-wrapper', function(){
		var book = dpsGetBookObjById(dpsGetBookIdFromBookEl(this));

		book.fullscreenOnByClick();	// Function enables fullscreen mode only if "Fullscreen By Click" option is enabled
	});
	jQuery(document).on('click', bookId + ' .dpsTbBtnSearch', function(){
		var book = dpsGetBookObjById(dpsGetBookIdFromTdEl(this));
		book.toggleSearchForm();
		return false;
	});
	jQuery(document).on('keyup', bookId + ' .dpsTbSearchTxt', function(){
		var book = dpsGetBookObjById(dpsGetBookIdFromTdEl(this));

		book.search( jQuery(this).val() );
		return false;
	});
	jQuery(document).on('submit', bookId + ' .dpsTbSearchForm', function(){
		var book = dpsGetBookObjById(dpsGetBookIdFromTdEl(this));
		book.search( jQuery(this).find('.dpsTbSearchTxt').val() );
		book._checkMaximizeBookRestore();
		return false;
	});
	jQuery(document).on('click', bookId + ' .dpsTbBtnPrevSearch', function(){
		var book = dpsGetBookObjById(dpsGetBookIdFromTdEl(this));

		book.goToPrevSearch();
		return false;
	});
	jQuery(document).on('click', bookId + ' .dpsTbBtnNextSearch', function(){
		var book = dpsGetBookObjById(dpsGetBookIdFromTdEl(this));

		book.goToNextSearch();
		return false;
	});
	jQuery(document).on('click', bookId + ' .dpsTbBtnShare', function(){
		var book = dpsGetBookObjById(dpsGetBookIdFromTdEl(this));

		book.toggleSocLinks();
		return false;
	});
	jQuery(document).on('click', bookId + ' .dpsTbBtnExport', function(){
		var book = dpsGetBookObjById(dpsGetBookIdFromTdEl(this));

		book.toggleExportLinks();
		return false;
	});
	jQuery(window).resize(function() {
		var newWndWidth = jQuery(window).width()
		,	allBooks = dpsBookMng.getAll();

		for(var i in allBooks) {
			allBooks[i].adjustWidth( newWndWidth );
			allBooks[i]._checkMaximizeBookRestore();
		}
	});
	jQuery(document).scroll(function(){
		var allBooks = dpsBookMng.getAll();

		for(var i in allBooks) {
			allBooks[i].setZoomOutPos();
			allBooks[i].setPlLocation();
		}
	});
}
function dpsGetBookObjById(bookId) {
	bookId = parseInt(bookId) ? parseInt(bookId) : false;

	if(bookId) {
		return dpsBookMng.getById(bookId);
	}
	return false;
}
function dpsGetBookIdFromTdEl(el) {
	return jQuery(el).parents('.dpsTdShell').attr('data-bookid');
}
function dpsGetBookIdFromBookEl(el) {
	return jQuery(el).parents('.dpsBook').attr('data-bookid');
}
function dpsBookInfoByTermId(termId) {
	if(typeof(dpsAllBooks) !== 'undefined' && dpsAllBooks) {
		termId = parseInt(termId);
		for(var i = 0; i < dpsAllBooks.length; i++) {
			if(dpsAllBooks[i].term_id == termId) {
				return dpsAllBooks[i];
			}
		}
	}
	return false;
}
