<?php
/**
 * @param $key
 * @param $data
 * @param $bookParams
 * @param bool $isAddForm
 * @return array
 */
function dpsDisplayBookHtmlInput($key, $data, $bookParams, $isAddForm = false) {
		$htmlType = $data['type'];
		if(empty($htmlType)) return;
		$id = '';
		$inputParams = array();
		$value = isset($bookParams[ $key ]) 
				? $bookParams[ $key ] 
				: (isset($data['default']) ? $data['default'] : '');
		if($value)
			$inputParams['value'] = $value;
		
		$inputParams['attrs'] = isset($data['attrs']) ? $data['attrs'] : '';
		if(strpos($inputParams['attrs'], 'id=') === false) {
			$id = 'term_dps_'. $key;
			$inputParams['attrs'] .= ' id="'. $id. '"';
		}
		$inputParams['data-original-name'] = $key;
		$name = 'dps['. $key. ']';
		$idFromName = htmlDps::nameToClassId($name, $inputParams);
		$shellId = $idFromName. '_shell';
		$inputShellId = $idFromName. '_input_shell';
		if(isset($data['params'])) {
			$inputParams = array_merge($inputParams, $data['params']);
		}
		if($isAddForm && (!isset($data['show_on_create']) || !$data['show_on_create'])) {
			$htmlType = 'hidden';
		}
		return array(
			'shellId' => $shellId,
			'html' => htmlDps::$htmlType($name, $inputParams),
			'id' => $id,
			'inputShellId' => $inputShellId,
		);
	}
?>
<?php foreach($this->bookParamsDesc as $key => $data) {
	if(in_array($key, array('area_width'))
		|| in_array($key, array('en_audio_paging'))
		|| in_array($key, array('toolbar_preset'))
		|| isset($data['ignore']) && $data['ignore']
		|| empty($data['type'])
	)
		continue;
	$style = in_array($key, array('toolbar_code')) ? 'style="font-size: 20px;"' : '';
	if(in_array($key, array('audio_paging', 'bg_img'))) {
		if(isset($this->bookParams[ $key ])) {
			$this->bookParams[ $key ] = uriDps::_( $this->bookParams[ $key ] ); 
		}
		if(isset($data['default'])) {
			$data['default'] = uriDps::_( $data['default'] );
		}
	}
	$display = dpsDisplayBookHtmlInput($key, $data, $this->bookParams, $this->isAddForm);
	$shellId = $display['shellId'];
	$id = $display['id'];
	$inputShellId = $display['inputShellId'];
	$hideStyle = '';
?>
	<?php if($this->isAddForm) { // If fields - is for small form of creation of taxonomy ?>
		<?php if(!isset($data['show_on_create']) || !$data['show_on_create']) {
			$hideStyle = 'style="display: none;"';
		}?>
		<div id="<?php echo $shellId?>" class="form-field" <?php echo $hideStyle?>>
			<label for="<?php echo $id?>" <?php echo $style?> ><?php echo $data['label']; ?></label>
			<?php if(isset($data['desc'])) {?>
				<i class="fa fa-question supsystic-tooltip" title="<?php echo $data['desc']; ?>"></i><br />
			<?php }?>
			<?php if($key == 'area_width_units') {
				$displayEnCheck = dpsDisplayBookHtmlInput('area_width', $this->bookParamsDesc['area_width'], $this->bookParams);
				echo $displayEnCheck['html'];
			}?>
			<?php if($key == 'audio_paging') {
				$displayEnCheck = dpsDisplayBookHtmlInput('en_audio_paging', $this->bookParamsDesc['en_audio_paging'], $this->bookParams);
				echo $displayEnCheck['html'];
			}?>
			<?php if($key == 'toolbar_code') {
				$displayEnCheck = dpsDisplayBookHtmlInput('toolbar_preset', $this->bookParamsDesc['toolbar_preset'], $this->bookParams);
				echo $displayEnCheck['html'];
			}?>
			<span id="<?php echo $inputShellId?>">
				<?php echo $display['html']?>
			</span>
		</div>
	<?php } else { // If this is tax edit form (page) ?>
		<tr id="<?php echo $shellId?>" class="form-field">
			<th scope="row" valign="top">
				<label for="<?php echo $id?>" <?php echo $style?> ><?php echo $data['label']; ?></label>
				<?php if(isset($data['desc'])) {?>
					<i class="fa fa-question supsystic-tooltip" title="<?php echo $data['desc']; ?>"></i>
				<?php }?>
			</th>
			<td>
				<?php if($key == 'area_width_units') {
					$displayEnCheck = dpsDisplayBookHtmlInput('area_width', $this->bookParamsDesc['area_width'], $this->bookParams);
					echo $displayEnCheck['html'];
				}?>
				<?php if($key == 'audio_paging') {
					$displayEnCheck = dpsDisplayBookHtmlInput('en_audio_paging', $this->bookParamsDesc['en_audio_paging'], $this->bookParams);
					echo $displayEnCheck['html'];
				}?>
				<span id="<?php echo $inputShellId?>">
					<?php //if(!in_array($key, array('social_links'))) {?>
						<?php echo $display['html']?>
					<?php //}?>
					<?php if($key == 'bg_img') { ?>
						<img src="" id="dpsAdminBookBgImgPrev" style="max-width: 150px" />
					<?php } elseif($key == 'page_bg_img') { ?>
						<img src="" id="dpsAdminBookPageBgImgPrev" style="max-width: 150px" />
					<?php } elseif($key == 'audio_paging') { ?>
						<a target="_blank" href="" class="dpsAdminBookAudioLink"></a>
						<a target="_blank" href="" class="dpsAdminBookAudioSetDefaultLink button"><?php _e('Set default', DPS_LANG_CODE)?></a>
					<?php } /*elseif($key == 'social_links') {
						echo frameDps::_()->getModule('social_links')->getAdminEditList(array('input' => $display['html']));
					}*/ elseif($key == 'toolbar_code') {
							$displayEnCheck = dpsDisplayBookHtmlInput('toolbar_preset', $this->bookParamsDesc['toolbar_preset'], $this->bookParams);
							echo $displayEnCheck['html'];
						?>
						<div id="toolbarShell" style="margin-top: 3px;">
							<?php foreach($this->toolbars as $tCode => $tData){
								echo $this->toolbars[$tCode]['html'];
							} ?>
						</div>
					<?php }?>
				</span>
			</td>
		</tr>
	<?php }?>
<?php }?>