<?php
$pageBgStyle = utilsDps::generateBgStyle(array(
	'type' => $this->book->params['page_bg_type'],
	'color' => utilsDps::getRGBAColors($this->book->params['page_bg_color'], $this->book->params['page_bg_opacity']),
	//'opacity' => $this->book->params['page_bg_opacity'],
	'img' => $this->book->params['page_bg_img'],
	'img_pos' => isset($this->book->params['page_img_pos']) ? $this->book->params['page_img_pos'] : 'center',
));
?>
<?php if(!$this->simple) {?>
<!DOCTYPE html>
<!--[if IE 7]>
<html class="ie ie7" <?php language_attributes(); ?>>
<![endif]-->
<!--[if IE 8]>
<html class="ie ie8" <?php language_attributes(); ?>>
<![endif]-->
<!--[if !(IE 7) | !(IE 8) ]><!-->
<?php }?>
<html <?php language_attributes(); ?>>
<?php if(!$this->simple) {?>
<!--<![endif]-->
<?php }?>
<head>
	<?php if(!$this->simple) {?>
		<meta charset="<?php bloginfo( 'charset' ); ?>">
		<meta name="viewport" content="width=device-width">
		<title><?php echo $this->book->name?></title>
		<link rel="profile" href="http://gmpg.org/xfn/11">
		<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
		<?php wp_head(); ?>
	<?php }?>
	<style type="text/css">
		<?php if(!$this->simple) {?>
			.dpsBookStageShell  {
				margin: 0 auto;
				/*width: <?php //echo $this->sizeToPxPt((int)$this->book->params['width'] / 2)?>;*/
				width: 99%;
			}
			.outer {
				display: table;
				position: absolute;
				height: 100%;
				width: 100%;
			}
			.middle {
				display: table-cell;
				vertical-align: middle;
			}
			.inner {
				margin-left: auto;
				margin-right: auto;
				width: 100%;
			}
			.exportPage {
				/*width: <?php //echo $this->sizeToPxPt((int)$this->book->params['width'] / 2)?>;*/
				width: 100%;
				padding: <?php echo (int)$this->book->params['page_content_indent']?>px;
				margin: 20px 0;
				box-shadow:         6px 6px 15px 0px rgba(50, 50, 50, 0.75);
				-webkit-box-shadow: 6px 6px 15px 0px rgba(50, 50, 50, 0.75);
				-moz-box-shadow:    6px 6px 15px 0px rgba(50, 50, 50, 0.75);
			}
		<?php }?>
		<?php // page-break-after is set for PDF export for correct breaking of pages ?>
		@page {	/* to remove default PDF page margin */
			margin: 0cm;
		}
		.exportPage {
			page-break-inside: avoid;
			page-break-after: always;
		}
		.exportPage:last-of-type {
			page-break-after: avoid;
		}
		.page-main-content {
			width: 100%;
			<?php echo $pageBgStyle?>;
		}
		.page-main-content.dpsHasIndent {
			padding: <?php echo (int) $this->book->params['page_content_indent']?>px;
		}
		.page-main-content p:first-of-type {
			padding: 0;
			margin: 0;
		}
	</style>
</head>

<body <?php body_class(); ?>>
	<div class="outer">
		<div class="middle">
			<div class="inner">
				<div class="dpsBookStageShell">
				<?php foreach($this->book->pages as $page) {?>
					<?php // .page-main-content is used for applying the styles of pages' content ?>
					<div class="exportPage page-main-content <?php echo $page->has_indent ? 'dpsHasIndent' : ''?>"><?php echo $page->post_content?><div style="clear: both;"></div></div>
				<?php }?>
				</div>
			</div>
		</div>
	</div>
</body>
</html>