<?php
$returnFalse = $this->isAdmin ? 'onclick="return false"' : '';

$toolbarPreset =
	!$this->isAdmin
	&& isset($this->book->params['toolbar_preset'])
	&& $this->book->params['toolbar_preset']
		? $this->book->params['toolbar_preset']
		: 'colorset';

$bgColor =
	!$this->isAdmin
	&& isset($this->book->params['toolbar_bg_color'])
	&& $this->book->params['toolbar_bg_color']
		? $this->book->params['toolbar_bg_color']
		: $this->presets[$toolbarPreset]['bg_color'];
$bgOpacity =
	!$this->isAdmin
	&& isset($this->book->params['toolbar_bg_opacity'])
	&& $this->book->params['toolbar_bg_opacity']
		? $this->book->params['toolbar_bg_opacity']
		: $this->presets[$toolbarPreset]['bg_opacity'];
$toolbarBgColor = 'background-color: '. utilsDps::getRGBAColors($bgColor, $bgOpacity) .';';

$btnsColor =
	!$this->isAdmin
	&& isset($this->book->params['toolbar_btns_color'])
	&& $this->book->params['toolbar_btns_color']
		? $this->book->params['toolbar_btns_color']
		: $this->presets[$toolbarPreset]['color'];
$toolbarBtnsColor = 'color: '. $btnsColor .';';

$toolbarBtnsActColor =
	!$this->isAdmin
	&& isset($this->book->params['toolbar_btns_active_color'])
	&& $this->book->params['toolbar_btns_active_color']
		? $this->book->params['toolbar_btns_active_color']
		: $this->presets[$toolbarPreset]['hover'];

$toolbarShadow =
	!$this->isAdmin
	&& isset($this->book->params['en_toolbar_shadow'])
	&& $this->book->params['en_toolbar_shadow']
		? 'shadowOn'
		: '';

switch($toolbarPreset) {
	case 'colorset':
		$transparent = utilsDps::getRGBAColors($btnsColor, 0);
		$toolbarBorderColor = 'border: 1px solid '. $transparent .' !important;';
		$mainBorderColor = 'border: 1px solid '. $transparent .';';
		break;
	case 'borderset':
		$toolbarBorderColor = 'border: 1px solid '. $btnsColor .' !important;';
		$mainBorderColor = $toolbarBorderColor;
		break;
}
$pageNumTxtColor = 'color: '. $btnsColor .' !important;';
?>
<div class="dpsTdShell_simple <?php echo $toolbarPreset?>">
	<style class="activeButtonColor" type="text/css">
		.dpsTdShell_simple.colorset .btnTbMain i.fa:hover,
		.dpsTdShell_simple.colorset .dpsTbZoomOutShell a.dpsTbBtn i.fa:hover,
		.dpsTdShell_simple.colorset .dpsTbSearchShell a.dpsTbBtn i.fa:hover,
		.dpsTdShell_simple.colorset .dpsTbExportShell a.dpsTbBtn:hover
		{
			color: <?php echo $toolbarBtnsActColor?> !important;
		}
		.dpsTdShell_simple.borderset .btnContainer:hover {
			background-color: <?php echo $toolbarBtnsActColor?> !important;
		}</style>
	<div class="btnTbMain <?php echo $toolbarShadow?>" style="<?php echo $toolbarBgColor?><?php echo $mainBorderColor?>">
		<div class="dpsTbLeft">
			<?php if((isset($this->book->params['en_zoom_btn']) && $this->book->params['en_zoom_btn'])
				|| (isset($this->isAdmin) && $this->isAdmin)
			) {?>
				<div class="btnContainer"><a href="#" class="dpsTbBtn dpsTbBtnZoom" <?php echo $returnFalse?>><i class="fa fa-search-plus " style="<?php echo $toolbarBtnsColor?>"></i></a></div>
			<?php }?>
			<?php if(!empty($this->exportLinks)) {?>
				<div class="btnContainer"><a href="#" class="dpsTbBtn dpsTbBtnExport" <?php echo $returnFalse?>><i class="fa fa-share-square " style="<?php echo $toolbarBtnsColor?>"></i></a></div>
			<?php }?>
			<?php if(!empty($this->socLinks)) {?>
				<div class="btnContainer"><a href="#" class="dpsTbBtn dpsTbBtnShare" <?php echo $returnFalse?>><i class="fa fa-share-alt " style="<?php echo $toolbarBtnsColor?>"></i></a></div>
			<?php }?>
		</div>
		<div class="dpsTbRight">
			<?php if(isset($this->book->params['en_search_btn']) && $this->book->params['en_search_btn']
				|| isset($this->isAdmin) && $this->isAdmin
		) {?>
				<div class="btnContainer"><a href="#" class="dpsTbBtn dpsTbBtnSearch" <?php echo $returnFalse?>><i class="fa fa-search " style="<?php echo $toolbarBtnsColor?>"></i></a></div>
			<?php }?>
			<?php if(isset($this->book->params['en_fullscreen_btn']) && $this->book->params['en_fullscreen_btn']
				|| isset($this->isAdmin) && $this->isAdmin
			) {?>
				<div class="btnContainer"><a href="#" class="dpsTbBtn dpsTbBtnFullscreen" <?php echo $returnFalse?>><i class="fa fa-arrows-alt " style="<?php echo $toolbarBtnsColor?>"></i></a></div>
			<?php }?>
		</div>
		<div class="dpsTbCenter">
			<?php if(isset($this->book->params['en_fw_bw_btns']) && $this->book->params['en_fw_bw_btns']
				|| isset($this->isAdmin) && $this->isAdmin
			) {?>
				<div class="btnContainer"><a href="#" class="dpsTbBtn dpsTbBtnFirst" <?php echo $returnFalse?>><i class="fa fa-angle-double-left fa-lg " style="<?php echo $toolbarBtnsColor?>"></i></a></div>
				<div class="btnContainer"><a href="#" class="dpsTbBtn dpsTbBtnPrev" <?php echo $returnFalse?>><i class="fa fa-angle-left fa-lg " style="<?php echo $toolbarBtnsColor?>"></i></a></div>
			<?php }?>
			<?php if(isset($this->book->params['en_page_nmb_field']) && $this->book->params['en_page_nmb_field']
				|| isset($this->isAdmin) && $this->isAdmin
			) {?>
				<form class="dpsTdPageNumForm" method="get">
					<input type="text" class="dpsTbPageNumTxt" style="display: none; <?php echo $toolbarBorderColor?><?php echo $pageNumTxtColor?>" />
				</form>
			<?php }?>
			<?php if(isset($this->book->params['en_fw_bw_btns']) && $this->book->params['en_fw_bw_btns']
				|| isset($this->isAdmin) && $this->isAdmin
				) {?>
				<div class="btnContainer"><a href="#" class="dpsTbBtn dpsTbBtnNext" <?php echo $returnFalse?>><i class="fa fa-angle-right fa-lg " style="<?php echo $toolbarBtnsColor?>"></i></a></div>
				<div class="btnContainer"><a href="#" class="dpsTbBtn dpsTbBtnLast" <?php echo $returnFalse?>><i class="fa fa-angle-double-right fa-lg " style="<?php echo $toolbarBtnsColor?>"></i></a></div>
			<?php }?>
		</div>
	</div>
	<div class="dpsTbZoomOutShell">
		<?php if(isset($this->book->params['en_zoom_btn']) && $this->book->params['en_zoom_btn']
		|| isset($this->isAdmin) && $this->isAdmin
		) {?>
			<div class="btnContainer"><a href="#" class="dpsTbBtn dpsTbBtnZoomOut" <?php echo $returnFalse?>><i class="fa fa-search-minus " style="<?php echo $toolbarBtnsColor?>"></i></a></div>
			<div class="btnContainer"><a href="#" class="dpsTbBtn dpsTbBtnPrev" <?php echo $returnFalse?>><i class="fa fa-arrow-left " style="<?php echo $toolbarBtnsColor?>"></i></a></div>
			<div class="btnContainer"><a href="#" class="dpsTbBtn dpsTbBtnNext" <?php echo $returnFalse?>><i class="fa fa-arrow-right " style="<?php echo $toolbarBtnsColor?>"></i></a></div>
		<?php }?>
	</div>
	<div class="dpsTbSearchShell"  style="display: none; <?php echo $toolbarBgColor?><?php echo $toolbarBorderColor?>">
		<?php if(isset($this->book->params['en_search_btn']) && $this->book->params['en_search_btn']
			|| isset($this->isAdmin) && $this->isAdmin
		) {?>
			<form class="dpsTbSearchForm">
				<div class="btnContainer"><a href="#" class="dpsTbBtn dpsTbBtnPrevSearch dpsTbBtnSearchActive" <?php echo $returnFalse?>><i class="fa fa-arrow-left " style="<?php echo $toolbarBtnsColor?>"></i></a></div>
				<input type="text" class="dpsTbSearchTxt" placeholder="<?php _e('Search...', DPS_LANG_CODE)?>" style="<?php echo $toolbarBorderColor?><?php echo $pageNumTxtColor?>" />
				<div class="btnContainer"><a href="#" class="dpsTbBtn dpsTbBtnNextSearch dpsTbBtnSearchActive" <?php echo $returnFalse?>><i class="fa fa-arrow-right " style="<?php echo $toolbarBtnsColor?>"></i></a></div>
			</form>
		<?php }?>
	</div>
	<?php if(!empty($this->socLinks)) {?>
	<div class="dpsTbSlShell">
		<?php foreach($this->socLinks['links'] as $lKey => $link) { ?>
		<a
			title="<?php echo $link['label']?>"
			target="_blank"
			href="<?php echo $link['share_this']?>"
			class="dpsSlIcon <?php echo $this->socLinks['design']?> <?php echo $lKey?>"
		></a>
		<?php }?>
	</div>
	<?php }?>
	<?php if(!empty($this->exportLinks)) {?>
	<div class="dpsTbExportShell">
		<?php foreach($this->exportLinks as $lKey => $link) { ?>
		<a
			href="<?php echo $link['link']?>"
			target="_blank"
			rel="nofollow"
			title="<?php echo $link['label']?>"
			class="dpsTbBtn dpsExportLink_<?php echo $lKey?>"
			style="display: none; <?php echo $toolbarBgColor?><?php echo $toolbarBtnsColor?><?php echo $toolbarBorderColor?>"
		>
			<?php echo $link['label']?>
		</a>
		<?php }?>
	</div>
	<?php }?>
</div>