<?php
class dpsDps extends moduleDps {
	private $_requirements = array(
		'gd' => array('status' => true),
	);
	private $_requirementsErrors = array();
	public function init() {
		parent::init();
		add_action('init', array($this, 'addCustomTaxPost'), 1);
		if(is_admin()) {
			$this->checkRequirements();
		}
	}
	public function addCustomTaxPost() {
		$labels = array(
            'name' => __('Pages', DPS_LANG_CODE),
            'singular_name' => __('Page', DPS_LANG_CODE),
            'add_new' => __('Add New', DPS_LANG_CODE),
            'add_new_item' => __('Add New Page', DPS_LANG_CODE),
            'edit_item' => __('Edit Page', DPS_LANG_CODE),
            'new_item' => __('New Page', DPS_LANG_CODE),
            'all_items' => __('Pages', DPS_LANG_CODE),
            'view_item' => __('View Page', DPS_LANG_CODE),
            'search_items' => __('Search', DPS_LANG_CODE),
            'not_found' =>  __('No Pages Found', DPS_LANG_CODE),
            'not_found_in_trash' => __('No Pages Found In Trash', DPS_LANG_CODE),
            'parent_item_colon' => '',
            'menu_name' => __('Pages', DPS_LANG_CODE)
        );
        register_post_type(DPS_PAGE, array(
                'labels' => $labels,
                'description' => __('Pages post type', DPS_LANG_CODE),
                'show_ui' => true,
                'supports' => array(
                        'title', 
                        'editor',
                        //'author',
                        'thumbnail', 
                        //'excerpt',
                        //'trackbacks',
                        //'custom-fields',
                        //'comments' ,
                        'revisions' ,
                        //'page-attributes' ,
                        //'post-formats'
                     ),
                'public' => false,
                'show_in_menu' => false,    //Let's show this menu item manualy in adminmenu mod
                //'show_in_menu' => frame::_()->getModule('adminmenu')->getController()->getView('adminmenu')->getFile(),
                'exclude_from_search' => true,
                //'rewrite' => array('slug' => DPS_PAGE),
                'taxonomies' => array(),
             )
        );
		$labels = array(
            'name' => __('Publications', DPS_LANG_CODE),
            'singular_name' => __('Publication', DPS_LANG_CODE),
            'search_items' => __('Search', DPS_LANG_CODE),
            'all_items' => __('All Publications', DPS_LANG_CODE),
            'parent_item' => __('Parent Publication', DPS_LANG_CODE),
            'parent_item_colon' => __('Parent Publication :', DPS_LANG_CODE),
            'edit_item' => __('Edit Publication', DPS_LANG_CODE),
            'update_item' => __('Update Publication', DPS_LANG_CODE),
            'add_new_item' => __('Add New Publication', DPS_LANG_CODE),
            'new_item_name' => __('New Publication Name', DPS_LANG_CODE),
			'not_found' => __('No publications found', DPS_LANG_CODE),
            'menu_name' => __('Publications', DPS_LANG_CODE),
        ); 	
        // registering books
        register_taxonomy(DPS_BOOK, DPS_PAGE, array(
            'hierarchical' => true,
            'labels' => $labels,
            'label' => __('Publications', DPS_LANG_CODE),
            'show_ui' => true,
            'query_var' => true,
            'show_in_nav_menus' => false,
            'rewrite' => array('slug' => DPS_BOOK),
        ));
		register_taxonomy_for_object_type(DPS_BOOK, DPS_PAGE);
	}
	public function checkRequirements() {
		foreach($this->_requirements as $key => $data) {
			switch($key) {
				case 'gd':
					if(!(extension_loaded('gd') && function_exists('gd_info'))) {
						$this->_requirements[ $key ]['status'] = false;
						$this->_requirementsErrors[] = __('There are no Graphics Draw (GD) PHP libruary on your server, so you will not be able to use some of our plugin functionality. Please install it on your server or contact your hosting provider and ask them to install it for you.', DPS_LANG_CODE);
					}
					break;
			}
		}
		if(!empty($this->_requirementsErrors)) {
			add_action('admin_notices', array($this, 'showErrors'));
		}
	}
	public function showErrors() {
		if(!empty($this->_requirementsErrors)) {
			$html = '';
			foreach($this->_requirementsErrors as $error) {
				$html .= '<div class="error"><p><strong style="font-size: 15px;">'. $error. '</strong></p></div>';
			}
			echo $html;
		}
	}
	public function support($key) {
		return $this->_requirements[ $key ]['status'];
	}
}
