<?php
if (function_exists('wc_get_product')) {
    global $woocommerce;
    $currency = get_woocommerce_currency_symbol();
    $product = wc_get_product($this->page->ID);?>
    <div class="dpsBookProductContent">
        <?php if (isset($this->bookParams['import_product_img'])
            && $this->bookParams['import_product_img'] == 'yes'
            && has_post_thumbnail($this->page->ID)) {?>
            <div class="dpsBookProductContentLeft">
                <img src="<?php echo get_the_post_thumbnail_url($this->page->ID, 'medium'); ?>" alt="<?php echo $this->page->post_title; ?>" class="dpsBookProductImage">
            </div>
        <?php } ?>
        <div class="dpsBookProductContentRight">
            <?php if (isset($this->bookParams['import_product_name'])
                && $this->bookParams['import_product_name'] == 'yes') { ?>
                <div class="dpsBookProductTitle"><?php echo $this->page->post_title; ?></div>
            <?php } ?>

            <?php if (isset($this->bookParams['import_product_price'])
                && $this->bookParams['import_product_price'] == 'yes') { ?>
                <div class="dpsBookProductPrice">
                <?php if ($product->get_sale_price()) { ?>
                    <span class="dps-current"><?php echo $product->get_sale_price(). $currency; ?></span>
                    <span class="dps-old-price"><?php echo $product->get_regular_price(). $currency; ?></span>
                <?php } else { ?>
                    <span class="dps-current"><?php echo $product->get_regular_price(). $currency; ?></span>
                <?php } ?>
                </div>
            <?php } ?>

            <?php if (isset($this->bookParams['import_product_buy'])
                && $this->bookParams['import_product_buy'] == 'yes') { ?>
                <a href="<?php echo get_the_permalink($this->page->ID); ?>" class="single_add_to_cart_button button alt dpsCartButton"><?php _e('Buy', DPS_LANG_CODE); ?></a>
            <?php } ?>

            <?php if (isset($this->bookParams['import_product_cat'])
                && $this->bookParams['import_product_cat'] == 'yes') {
                $terms = wp_get_post_terms($this->page->ID, 'product_cat');
                if (count($terms) > 0) {
                    $output = array(); ?>
                    <div class="dpsBookProductCategory"><?php echo _n('Category: ', 'Categories: ', sizeof($terms), 'woocommerce');
                        foreach ($terms as $term) {
                            $term_name = $term->name;
                            $term_link = get_term_link($term, 'product_tag');
                            $output[] = '<a href="' . $term_link . '">' . $term_name . '</a>';
                        }
                        echo implode(', ', $output); ?>
                    </div>
                <?php }
            } ?>

            <?php if (isset($this->bookParams['import_product_tag'])
                && $this->bookParams['import_product_tag'] == 'yes') {
                $terms = wp_get_post_terms($this->page->ID, 'product_tag');
                if (count($terms) > 0) {
                    $output = array(); ?>
                    <div class="dpsBookProductTerms"><?php echo _n('Tag: ', 'Tags: ', sizeof($terms), 'woocommerce');
                    foreach ($terms as $term) {
                        $term_name = $term->name;
                        $term_link = get_term_link($term, 'product_tag');

                        $output[] = '<a href="' . $term_link . '">' . $term_name . '</a>';
                    }
                        echo implode(', ', $output); ?>
                    </div>
                <?php }
            } ?>
        </div>
    </div>
    <?php if (isset($this->bookParams['import_product_content'])
        && $this->bookParams['import_product_content'] == 'yes') { ?>
        <div class="dpsBookProductDescription"><?php echo $this->page->post_content; ?></div>
    <?php }
    unset($product);
}